mod error;
mod gpodder;

use axum::Router;
use tower_http::trace::TraceLayer;

#[derive(Clone)]
pub struct Context {
    pub pool: crate::db::DbPool,
}

pub fn app() -> Router<Context> {
    Router::new()
        .nest("/api/2", gpodder::router())
        .layer(TraceLayer::new_for_http())
}
